Bug 856808 - Please split up qrencode package
Please split up qrencode package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qrencode (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthieu Saulnier
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 854355
  Show dependency treegraph
 
Reported: 2012-09-12 16:21 EDT by Lennart Poettering
Modified: 2012-12-20 10:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:38:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2012-09-12 16:21:51 EDT
Please split up the qrencode package into one for the qrencode tool and one for the qrencode library.

We added a dep on the qrencode lib to systemd, which has the effect of pulling in libpng into our minimal installation set śince the qrencode tool requires it. In order to minimize the minimal installation set it would be great if qrencode could be split up so that this dep doesn't matter for the minimal set.

Also see the discussion here:

https://bugzilla.redhat.com/show_bug.cgi?id=852828

Thanks!
Comment 1 Peter Gordon 2012-09-12 19:15:59 EDT
Hi, Lennart.

I'll work on splitting out the binary/libs into separate subpackages. I've got a test build running in a local mock now; hopefully that'll fix it up. :)

Thanks.
Comment 2 Lennart Poettering 2012-09-13 15:04:59 EDT
Thanks!
Comment 3 Fedora Update System 2012-09-21 17:02:20 EDT
qrencode-3.3.1-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qrencode-3.3.1-4.fc18
Comment 4 Fedora Update System 2012-09-21 17:04:00 EDT
qrencode-3.3.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qrencode-3.3.1-4.fc17
Comment 5 Fedora Update System 2012-09-21 17:04:49 EDT
qrencode-3.3.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qrencode-3.3.1-4.fc16
Comment 6 Fedora Update System 2012-09-22 02:39:05 EDT
Package qrencode-3.3.1-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qrencode-3.3.1-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14590/qrencode-3.3.1-4.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:38:51 EST
qrencode-3.3.1-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.